import 'dart:io';

import 'package:video_player/video_player.dart';

/// The [network] video file type method. This method is calling for [networkUrl] in
/// video player package.
networkVideo(String path) {
  return VideoPlayerController.networkUrl(Uri.parse(path));
}

/// The [asset] video file type method. This method is calling for [asset] in
/// video player package.
assetVideo(String path) {
  return VideoPlayerController.asset(path);
}

/// The [file] video file type method. This method is calling for [networkUrl] in
/// video player package.
localVideo(String path) {
  return VideoPlayerController.file(File(path));
}
