import 'package:flutter/material.dart';
import 'package:multimedia_gallery/extension/string_formatter.dart';

/// The video duration slider widget. This widget used to display the
/// slider widget to change ang show the timestamp of the video played.
class VideoSlider extends StatelessWidget {
  const VideoSlider(
      {super.key, required this.currentPosition, required this.child, required this.videoDuration, this.data});

  final String currentPosition;
  final SliderThemeData? data;
  final Widget child;
  final String videoDuration;

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Column(crossAxisAlignment: CrossAxisAlignment.start, mainAxisAlignment: MainAxisAlignment.end, children: [
        Text(formatVideoDuration(currentPosition, videoDuration),
            style: const TextStyle(fontSize: 16, color: Colors.white, fontWeight: FontWeight.bold)),
        SliderTheme(
            data: data ??
                SliderThemeData(
                    overlayShape: SliderComponentShape.noOverlay,
                    activeTrackColor: Colors.white,
                    inactiveTrackColor: Colors.grey.withOpacity(0.5),
                    thumbColor: Colors.white),
            child: child),
      ]),
    );
  }
}
